# TYPO3 Extension Manager dump 1.1
#
# Host: localhost    Database: typo3
#--------------------------------------------------------


#
# Table structure for table "tx_odsosm_layer"
#
DROP TABLE IF EXISTS tx_odsosm_layer;
CREATE TABLE tx_odsosm_layer (
  uid int(10) unsigned NOT NULL auto_increment,
  pid int(10) unsigned NOT NULL default '0',
  tstamp int(10) unsigned NOT NULL default '0',
  crdate int(10) unsigned NOT NULL default '0',
  cruser_id int(10) unsigned NOT NULL default '0',
  sorting int(10) unsigned NOT NULL default '0',
  deleted tinyint(3) unsigned NOT NULL default '0',
  hidden tinyint(3) unsigned NOT NULL default '0',
  title tinytext NOT NULL,
  overlay tinyint(3) unsigned NOT NULL default '0',
  javascript tinytext NOT NULL,
  javascript_include tinytext NOT NULL,
  static_url tinytext NOT NULL,
  homepage tinytext NOT NULL,
  PRIMARY KEY (uid),
  KEY parent (pid)
);


INSERT INTO tx_odsosm_layer VALUES ('1', '0', '0', '0', '0', '512', '0', '0', 'Mapnik', '0', 'new OpenLayers.Layer.OSM.Mapnik(\'###TITLE###\')', 'http://www.openstreetmap.org/openlayers/OpenStreetMap.js', 'http://dev.openstreetmap.org/~pafciu17/?module=map&lon=###lon###&lat=###lat###&zoom=###zoom###&width=###width###&height=###height###&type=mapnik', 'http://www.openstreetmap.org/');
INSERT INTO tx_odsosm_layer VALUES ('2', '0', '0', '0', '0', '768', '0', '0', 'Osmarender', '0', 'new OpenLayers.Layer.OSM.Osmarender(\'###TITLE###\')', 'http://www.openstreetmap.org/openlayers/OpenStreetMap.js', 'http://tah.openstreetmap.org/MapOf/?lat=###lat###&long=###lon###&z=###zoom###&w=###width###&h=###height###&format=png', 'http://www.openstreetmap.org/');
INSERT INTO tx_odsosm_layer VALUES ('3', '0', '0', '0', '0', '1024', '0', '0', 'CycleMap', '0', 'new OpenLayers.Layer.OSM.CycleMap(\'###TITLE###\')', 'http://www.openstreetmap.org/openlayers/OpenStreetMap.js', 'http://dev.openstreetmap.org/~pafciu17/?module=map&lon=###lon###&lat=###lat###&zoom=###zoom###&width=###width###&height=###height###&type=cycle', 'http://www.opencyclemap.org/');
INSERT INTO tx_odsosm_layer VALUES ('4', '0', '0', '0', '0', '1792', '0', '0', 'Seamarks', '1', 'new OpenLayers.Layer.TMS(\'###TITLE###\',\'http://tiles.openseamap.org/seamark/\',{numZoomLevels:18,type:\'png\',getURL:getTileURL,isBaseLayer:false,displayOutsideMaxExtent:true,###VISIBLE###})', '', '', 'http://www.openseamap.org/');
INSERT INTO tx_odsosm_layer VALUES ('5', '0', '0', '0', '0', '1280', '0', '0', 'OpenPisteMap', '0', 'new OpenLayers.Layer.OSM.opm(\'###TITLE###\')', 'http://openpistemap.org/opm.js', '', 'http://openpistemap.org/');
INSERT INTO tx_odsosm_layer VALUES ('6', '0', '0', '0', '0', '2048', '0', '1', 'Google Streets', '0', 'new OpenLayers.Layer.Google(\'###TITLE###\',{\'sphericalMercator\':true,numZoomLevels:18})', 'http://maps.google.com/maps?file=api&amp;v=2&amp;key=###STATIC_SCRIPT###', '', 'http://maps.google.com/');
INSERT INTO tx_odsosm_layer VALUES ('7', '0', '0', '0', '0', '2304', '0', '1', 'Google Physical', '0', 'new OpenLayers.Layer.Google(\'###TITLE###\',{type:G_PHYSICAL_MAP,\'sphericalMercator\':true,numZoomLevels:16})', 'http://maps.google.com/maps?file=api&amp;v=2&amp;key=###STATIC_SCRIPT###', '', 'http://maps.google.com/');
INSERT INTO tx_odsosm_layer VALUES ('8', '0', '0', '0', '0', '2560', '0', '1', 'Google Satellite', '0', 'new OpenLayers.Layer.Google(\'###TITLE###\',{type:G_SATELLITE_MAP,\'sphericalMercator\':true,numZoomLevels:19})', 'http://maps.google.com/maps?file=api&amp;v=2&amp;key=###STATIC_SCRIPT###', '', 'http://maps.google.com/');
INSERT INTO tx_odsosm_layer VALUES ('9', '0', '0', '0', '0', '2816', '0', '1', 'Google Hybrid', '0', 'new OpenLayers.Layer.Google(\'###TITLE###\',{type:G_HYBRID_MAP,\'sphericalMercator\':true,numZoomLevels:19})', 'http://maps.google.com/maps?file=api&amp;v=2&amp;key=###STATIC_SCRIPT###', '', 'http://maps.google.com/');
INSERT INTO tx_odsosm_layer VALUES ('10', '0', '0', '0', '0', '3072', '0', '1', 'Bing Shaded', '0', 'new OpenLayers.Layer.VirtualEarth(\'###TITLE###\',{type:VEMapStyle.Shaded,\'sphericalMercator\':true})', 'http://ecn.dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6.2&mkt=en-us', '', 'http://www.bing.com/maps/');
INSERT INTO tx_odsosm_layer VALUES ('11', '0', '0', '0', '0', '3328', '0', '1', 'Bing Aerial', '0', 'new OpenLayers.Layer.VirtualEarth(\'###TITLE###\',{type:VEMapStyle.Aerial,\'sphericalMercator\':true,numZoomLevels:17})', 'http://ecn.dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6.2&mkt=en-us', '', 'http://www.bing.com/maps/');
INSERT INTO tx_odsosm_layer VALUES ('12', '0', '0', '0', '0', '3584', '0', '1', 'Bing Hybrid', '0', 'new OpenLayers.Layer.VirtualEarth(\'###TITLE###\',{type:VEMapStyle.Hybrid,\'sphericalMercator\':true,numZoomLevels:17})', 'http://ecn.dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6.2&mkt=en-us', '', 'http://www.bing.com/maps/');
INSERT INTO tx_odsosm_layer VALUES ('13', '0', '0', '0', '0', '1536', '0', '0', 'ÖPNV Deutschland', '0', 'new OpenLayers.Layer.OSM(\'###TITLE###\',\'http://tile.xn--pnvkarte-m4a.de/tilegen/${z}/${x}/${y}.png\',{numZoomLevels:19,buffer:0})', 'http://www.openstreetmap.org/openlayers/OpenStreetMap.js', '', 'http://www.öpnvkarte.de/');
INSERT INTO tx_odsosm_layer VALUES ('14', '0', '0', '0', '0', '1152', '0', '0', 'Hike & Bike Map', '0', 'new OpenLayers.Layer.TMS(\'###TITLE###\',\'http://toolserver.org/tiles/hikebike/\',{type:\'png\',getURL:getTileURL,displayOutsideMaxExtent:true,isBaseLayer:true})', '', '', 'http://www.hikebikemap.de/');
INSERT INTO tx_odsosm_layer VALUES ('15', '0', '0', '0', '0', '1664', '0', '0', 'Hillshading (NASA SRTM3 v2)', '1', 'new OpenLayers.Layer.TMS(\'###TITLE###\',\'http://toolserver.org/~cmarqu/hill/\',{type:\'png\',getURL:getTileURL,displayOutsideMaxExtent:true,isBaseLayer:false,transparent:true,###VISIBLE###})', '', '', '');
INSERT INTO tx_odsosm_layer VALUES ('16', '0', '0', '0', '0', '1600', '0', '0', 'By Night', '1', 'new OpenLayers.Layer.TMS(\'###TITLE###\',\'http://toolserver.org/tiles/lighting/\',{type:\'png\',getURL:getTileURL,displayOutsideMaxExtent:true,isBaseLayer:false,transparent:true,opacity:0.72,###VISIBLE###})', '', '', '');
INSERT INTO tx_odsosm_layer VALUES ('17', '0', '0', '0', '0', '1920', '0', '0', 'Hiking Paths', '1', 'new OpenLayers.Layer.TMS(\'###TITLE###\',\'http://osm.lonvia.de/hiking/\',{type:\'png\',getURL:getTileURL,isBaseLayer:false,displayOutsideMaxExtent:true,transparent:true,###VISIBLE###})', '', '', 'http://osm.lonvia.de/world_hiking.html');
INSERT INTO tx_odsosm_layer VALUES ('18', '0', '0', '0', '0', '640', '0', '0', 'Mapnik BW', '0', 'new OpenLayers.Layer.OSM.Toolserver(\'###TITLE###\',\'bw-mapnik\')', 'typo3conf/ext/ods_osm/res/layers/toolserver.js', '', 'http://toolserver.org/~osm/styles/');


